curl --request POST \
--url https://api.hubapi.com/analytics/reporting/2027-03-beta/dashboards/permissions/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
],
"permissions": {
"specificPermissions": [
{
"grants": [
{
"granteeId": "<string>"
}
]
}
]
}
}
'import requests
url = "https://api.hubapi.com/analytics/reporting/2027-03-beta/dashboards/permissions/batch/update"
payload = {
"inputs": ["<string>"],
"permissions": { "specificPermissions": [{ "grants": [{ "granteeId": "<string>" }] }] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: ['<string>'],
permissions: {specificPermissions: [{grants: [{granteeId: '<string>'}]}]}
})
};
fetch('https://api.hubapi.com/analytics/reporting/2027-03-beta/dashboards/permissions/batch/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"businessUnitId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"description": "<string>",
"lastViewedAt": "2023-11-07T05:31:56Z",
"lastViewedByUserId": "<string>",
"ownerUserId": "<string>",
"permissions": {
"permissionType": "EVERYONE_EDIT",
"specificPermissions": [
{
"permissionType": "EDIT",
"grants": [
{
"grantType": "TEAM",
"granteeId": "<string>"
}
]
}
]
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": "<string>"
}
],
"updatedByUserId": "<string>",
"widgets": [
{
"reportId": "<string>",
"widgetLayout": {
"height": 123,
"width": 123,
"x": 123,
"y": 123
},
"report": {
"archived": true,
"businessUnitId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"description": "<string>",
"lastViewedAt": "2023-11-07T05:31:56Z",
"lastViewedByUserId": "<string>",
"ownerUserId": "<string>",
"permissions": {
"permissionType": "EVERYONE_EDIT",
"specificPermissions": {
"permissionType": "EDIT",
"grants": [
{
"grantType": "TEAM",
"granteeId": "<string>"
}
]
}
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": "<string>"
}
],
"updatedByUserId": "<string>"
}
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"businessUnitId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"description": "<string>",
"lastViewedAt": "2023-11-07T05:31:56Z",
"lastViewedByUserId": "<string>",
"ownerUserId": "<string>",
"permissions": {
"permissionType": "EVERYONE_EDIT",
"specificPermissions": [
{
"permissionType": "EDIT",
"grants": [
{
"grantType": "TEAM",
"granteeId": "<string>"
}
]
}
]
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": "<string>"
}
],
"updatedByUserId": "<string>",
"widgets": [
{
"reportId": "<string>",
"widgetLayout": {
"height": 123,
"width": 123,
"x": 123,
"y": 123
},
"report": {
"archived": true,
"businessUnitId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"description": "<string>",
"lastViewedAt": "2023-11-07T05:31:56Z",
"lastViewedByUserId": "<string>",
"ownerUserId": "<string>",
"permissions": {
"permissionType": "EVERYONE_EDIT",
"specificPermissions": {
"permissionType": "EDIT",
"grants": [
{
"grantType": "TEAM",
"granteeId": "<string>"
}
]
}
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": "<string>"
}
],
"updatedByUserId": "<string>"
}
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch update dashboard permissions
Updates the permissions for one or more dashboards. The maximum batch size is 500.
If any of the requested items fail, the response code will be 207 Multi-Status and the response will include details of individual failures.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Response
successful operation
The date and time when the batch operation was completed, in ISO 8601 format.
An array of dashboard objects representing the successful results of the batch operation.
Show child attributes
Show child attributes
The date and time when the batch operation started, in ISO 8601 format.
The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.
CANCELED, COMPLETE, PENDING, PROCESSING A map of link names to associated URIs, providing additional information related to the batch operation.
Show child attributes
Show child attributes
The date and time when the batch operation was requested, in ISO 8601 format.
Was this page helpful?